package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.FoodSpecRelationMapper;
import com.ruoyi.system.domain.FoodSpecRelation;
import com.ruoyi.system.service.IFoodSpecRelationService;

/**
 * 商品-规格关联 Service 业务层处理
 *
 * @author ruoyi
 * @date 2026-07-15
 */
@Service
public class FoodSpecRelationServiceImpl extends ServiceImpl<BaseMapper<FoodSpecRelation>, FoodSpecRelation> implements IFoodSpecRelationService
{
    @Autowired
    private FoodSpecRelationMapper foodSpecRelationMapper;

    @Override
    public FoodSpecRelation selectFoodSpecRelationById(Long id)
    {
        return foodSpecRelationMapper.selectFoodSpecRelationById(id);
    }

    @Override
    public List<FoodSpecRelation> selectFoodSpecRelationList(FoodSpecRelation foodSpecRelation)
    {
        return foodSpecRelationMapper.selectFoodSpecRelationList(foodSpecRelation);
    }

    @Override
    public int insertFoodSpecRelation(FoodSpecRelation foodSpecRelation)
    {
        return foodSpecRelationMapper.insertFoodSpecRelation(foodSpecRelation);
    }

    @Override
    public int updateFoodSpecRelation(FoodSpecRelation foodSpecRelation)
    {
        return foodSpecRelationMapper.updateFoodSpecRelation(foodSpecRelation);
    }

    @Override
    public int deleteFoodSpecRelationByIds(Long[] ids)
    {
        return foodSpecRelationMapper.deleteFoodSpecRelationByIds(ids);
    }

    @Override
    public int deleteFoodSpecRelationById(Long id)
    {
        return foodSpecRelationMapper.deleteFoodSpecRelationById(id);
    }
}
